%define major 10
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %name

Summary: Library and tool to control NAT in UPnP-enabled routers
Name: miniupnpc
Version: 1.9
Release: %mkrel 1
License: LGPLv2+
Group: System/Libraries
URL: http://miniupnp.free.fr/
Source: http://miniupnp.free.fr/files/%{name}-%{version}.tar.xz
Patch0: miniupnpc-1.6-link.patch
Patch1: miniupnpc-1.6-install-headers.patch
BuildRequires: cmake
Requires: %{libname}

%description
miniupnpc is an implementation of a UPnP client library, enabling
applications to access the services provided by an UPnP "Internet
Gateway Device" present on the network. In UPnP terminology, it is
a UPnP Control Point. The executable is named upnpc.


%package -n %{libname}
Summary: Library and tool to control NAT in UPnP-enabled routers
Group: System/Libraries

%description -n %{libname}
miniupnpc is an implementation of a UPnP client library, enabling
applications to access the services provided by an UPnP "Internet
Gateway Device" present on the network. In UPnP terminology, it is
a UPnP Control Point.

%package -n %{develname}
Summary: Header files, libraries and development documentation for miniupnpc
Group: Development/Libraries
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname} 
This package contains the header files and development documentation for
miniupnpc. If you like to develop programs using miniupnpc, you will need
to install miniupnpc-devel.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

sed -i "s|\(\tpython setup.py install\)$|\1 --root=\$(DESTDIR)/|" Makefile
sed -i 's/"1\.7"/"%{version}"/' setup.py
sed -i 's/\(CFLAGS += -ansi\)/#\1/' Makefile

%build
%cmake -DUPNPC_BUILD_STATIC=OFF -DUPNPC_BUILD_TESTS=OFF
%make

cd ..

#make the binary 
make

#make the python module
python setup.py build

%install
rm -rf %buildroot

%makeinstall_std -C build

install -D -m644 man3/miniupnpc.3 $RPM_BUILD_ROOT/%{_mandir}/man3/miniupnpc.3
install -D -m 0755 upnpc-shared $RPM_BUILD_ROOT%{_bindir}/upnpc

python setup.py install --root %{buildroot}


%files
%{_bindir}/upnpc

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.*.*
%{py_platsitedir}

%files -n %{develname}
%{_includedir}/miniupnpc
%{_libdir}/*.so
%{_mandir}/man3/miniupnpc.3*


%changelog
* Wed Jun 04 2014 pinoc <vogtpet at gmail.com> 1.9-1pclos2014
- 1.9 (fixes DoS issue)
- library major is now 10

* Sun Sep 08 2013 billybot <billybot> 1.8-1pclos2013
- import into pclos 
